<?php

/**
 * @file
 * uc_sf_order.ca.inc: Conditional Actions include file for uc_sf_order.module
 * Provides a Conditional Action used to export an Ubercart order when checkout
 * is complete.
 *
 */

/**
 * Implementation of hook_ca_predicate().
 */
function uc_sf_order_ca_predicate() {
  $predicates = array();

  // Sets up a default predicate for exporting Ubercart orders to Salesforce
  $predicates['uc_checkout_salesforce_export'] = array(
    '#title' => t('Export order to Salesforce'),
    '#description' => t('Export order to Salesforce.'),
    '#class' => 'uc_salesforce',
    '#status' => 1,
    '#weight' => 9,
    '#trigger' => 'uc_checkout_complete',
    '#actions' => array(
      array(
        '#name' => 'uc_sf_order_salesforce_export',
        '#title' => t('Export the order to Salesforce'),
        '#argument_map' => array(
          'order' => 'order',
        ),
        '#settings' => array(
          'order_status' => 'completed',
        ),
      ),
    ),
  );

  return $predicates;
}

/**
 * Implementation of hook_ca_action().
 */
function uc_sf_order_ca_action() {
  $order_arg = array(
    '#entity' => 'uc_order',
    '#title' => t('Order'),
  );

  $actions['uc_sf_order_salesforce_export'] = array(
    '#title' => t('Export the order to Salesforce'),
    '#category' => t('Salesforce'),
    '#callback' => 'uc_sf_order_export_action',
    '#arguments' => array(
      'order' => $order_arg,
    ),
  );

  return $actions;
}
