<?php
// $Id $

/**
 * @file
 * uc_sf_order_ocr.ca.inc: Conditional Actions include file for uc_sf_order_ocr.module
 * Provides a Conditional Action used to export a Salesforce OpportunityContactRole
 * based off of the Ubercart order data. Must run after the order export.
 *
 */

/**
 * Implementation of hook_ca_predicate().
 */
function uc_sf_order_ocr_ca_predicate() {
  $predicates = array();

  // Sets up a default predicate for exporting order purchaser account and contact
  $predicates['uc_checkout_salesforce_order_ocr_export'] = array(
    '#title' => t('Export order OCR to Salesforce'),
    '#description' => t('Export order OpportunityContactRole to Salesforce.'),
    '#class' => 'uc_salesforce',
    '#status' => 1,
    '#weight' => 10,   // must come after uc_checkout_salesforce_export, which is 9
    '#trigger' => 'uc_checkout_complete',
    '#actions' => array(
      array(
        '#name' => 'uc_sf_order_ocr_salesforce_export',
        '#title' => t('Export the order OpportunityContactRole to Salesforce'),
        '#argument_map' => array(
          'order' => 'order',
        ),
        '#settings' => array(
          'order_status' => 'completed',
        ),
      ),
    ),
  );

  return $predicates;
}

/**
 * Implementation of hook_ca_action().
 */
function uc_sf_order_ocr_ca_action() {
  $order_arg = array(
    '#entity' => 'uc_order',
    '#title' => t('Order'),
  );

  $actions['uc_sf_order_ocr_salesforce_export'] = array(
    '#title' => t('Export the order OpportunityContactRole to Salesforce'),
    '#category' => t('Salesforce'),
    '#callback' => 'uc_sf_order_ocr_export_action',
    '#arguments' => array(
      'order' => $order_arg,
    ),
  );

  return $actions;
}
